import {Component, OnInit, ViewChild} from '@angular/core';
import {FramePageComponent} from "../../../frame/core/page/frame.page";
import {BsModalService} from "ngx-bootstrap/modal";
import { AjaxService } from '../../../../core/service/ajax.service';
import { MsgService } from '../../../../core/service/msg.service';
import { FramePager } from '../../../../core/frame/pager/frame-pager/frame-pager';
import { FinalProgressDetailComponent } from '../final-progress-detail/final-progress-detail.component';

@Component({
  selector: 'app-final-progress-page',
  templateUrl: './final-progress-page.component.html',
  styleUrls: ['./final-progress-page.component.scss']
})
export class FinalProgressPageComponent extends FramePageComponent implements OnInit {
  schoolArray = [];
  batchArray = [];

  query = {
    school_id : '',
    batch_id : ''
  };
  constructor(private modalService: BsModalService) {
    super(modalService);
    this.modalComponent = FinalProgressDetailComponent;
  }

  ngOnInit() {
    this.AjaxService.requestArray('./cf/school/list.htm', {}, (array) => {
      this.schoolArray = array;
      if (this.schoolArray.length == 1) {
        this.query.school_id = this.schoolArray[0].school_id;
        this.queryBatchArray();
      } 
    });
  }

  queryBatchArray() {
    //查询班级老师列表
    AjaxService.requestArray("cf/batch/list.htm",{school_id: this.query.school_id},(array)=>{
      this.batchArray = array;
      if (this.batchArray.length == 1) {
        this.query.batch_id = this.batchArray[0].batch_id;
        this.requestData();
      }
    });   
  }

  requestData() {
    //debugger;
    this.pager.pagerParams["batch_id"] = this.query.batch_id;
    this.pager.reload();
  }

  //已评列表
  showDoneList(v) {
    v.query_type = "done";
    this.showComponentModal(FinalProgressDetailComponent, { 'ResponseEntity': v });
  }

  //未评列表
  showToBeList(v) {
    v.query_type = "un_done";
    this.showComponentModal(FinalProgressDetailComponent, { 'ResponseEntity': v });
  }
}
